田草博客
日志搜索


 标题   内容 评论


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件
-电信用户-|-网通用户-
-博客论坛-|-软件下载-
-网站导航-|-规范下载-
-BelovedFLash欣赏-

用户登陆
用户:
密码:
 

站点日历
73 2019 - 1 48
  12345
6789101112
13141516171819
20212223242526
2728293031

站点统计

最新评论


友情链接

其他信息

[16] [17] [18] [19] [20] [21] [22] [23] [24] [25]  ... [26]  显示模式: 默认视图 | 文章列表
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:5470
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7761
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:12589
按此在新窗口打开图片
这个精度,不同于标注样式的精度,我们也不需要精度太高,有2~4位小数就能满足要求了。怎么改这个精度的呢?
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:1 | 引用:0 | 查看:10269
按此在新窗口打开图片

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:8086
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:14641
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:13209
未知 VBA重命名图块   [ 2009-06-25  |  本站原创 ]
'重命名图块
Sub ReNameBLock()
    On Error Resume Next
    Dim E As AcadEntity
    Dim P As Variant
    Dim B As AcadBlockReference
    ThisDrawing.Utility.GetEntity E, P, "选择一个你要重命名的参照块: "
    If Err <> 0 Then Exit Sub
    Dim NewName As String
    NewName = InputBox("输入新的图块名称:", "田草结构工具箱")
    If NewName = "" Then Exit Sub
    If Err = 0 Then
        If E.ObjectName = "AcDbBlockReference" Then
            Set B = E
            ThisDrawing.Blocks(B.name).name = NewName
        End If
    End If
End Sub

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:6366
拿到别人的初步设计,窗户都是随便插入的,一般情况下,我们都会将窗户放在墙段的中间,因此需要以下操作:
'对象居中
'天正建筑中的窗居墙体中间
'   在此操作之前应该将窗编号隐藏
Sub Center_E2E_Center1()
    Dim P As Variant
    Dim E As AcadEntity
    Dim SSet As AcadSelectionSet
    Dim I As Long
    Dim PC1 As Variant, PC2 As Variant
    Dim Wall As AcadEntity
    On Error GoTo xErr
xNext:
    ThisDrawing.Utility.GetEntity E, P, "第一个窗对象:"
    PC1 = GetCenter(E)
    Set SSet = GetE_SideByE(E)
    For I = 0 To SSet.Count - 1
        'Prompt SSet.item(I).ObjectName & vbCrLf
        If SSet.item(I).ObjectName = "TDbWall" Then
            Set Wall = SSet.item(I)
            PC2 = GetCenter(Wall)
            E.Move PC1, PC2
        End If
    Next I
xErr:
End Sub

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:6125
'找到一个CAD对象附件的CAD对象
Function GetE_SideByE(E As AcadEntity) As AcadSelectionSet   '返回
    Dim Pmin As Variant, Pmax As Variant
    E.GetBoundingBox Pmin, Pmax
    Dim SSet  As AcadSelectionSet
    Set SSet = CreateSelectionSet("XX")
    'SSet.Select acSelectionSetWindow, Pmin, Pmax
    SSet.Select acSelectionSetCrossing, Pmin, Pmax
    Set GetE_SideByE = SSet
End Function

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7075
1、电瓶车的脚踏离地面的最小高度太小,在车很小的转弯情况下,都有可能脚踏触地,脚踏很容易损毁。
2、电瓶车的车灯最好能够上下调节,车灯应该能照到前下方的地面。电瓶车的灯光微弱,如果固定,且光线直射向前,在没有路灯的情况之下,这个等没有一点实用价值,微弱的灯光不足以照到远方的地面上,前方的地面依旧看不清。
3、电瓶车功能不应过多,没实际意义,特别是有很多塑料壳在上面的,坏了,不值得维修,很难看。
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:6819
未知 可以再vba调用的Arx函数   [ 2009-06-24  |  本站原创 ]
目前只知道这几个,我也曾用过。
'选择颜色对话框
Private Declare Function acedSetColorDialog Lib "acad.exe" _
     (color As Long, ByVal bAllowMetaColor As Boolean, ByVal nCurLayerColor As Long) As Boolean
'显示提示对话框
Private Declare Function acedAlert Lib "acad.exe" (ByVal str As String) As Long

' 显示文本窗口(AutoCAD 命令行文本窗口)
Private Declare Function acedTextScr Lib "acad.exe" () As Long
' 隐藏文本窗口
Private Declare Function acedGraphScr Lib "acad.exe" () As Long
' 命令行提示
Private Declare Function acedPrompt Lib "acad.exe" (ByVal str As String) As Boolean
' 卸载 arx
Private Declare Function acedArxUnload Lib "acad.exe" (ByVal str As String) As Long
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:6474
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7873
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:16166
Sub Center_E2E_Center()
    Dim P As Variant
    Dim P1 As Variant, P2 As Variant
    Dim E1 As AcadEntity
    Dim E2 As AcadEntity
    On Error GoTo xErr
xNext:
    ThisDrawing.Utility.GetEntity E1, P, "第一个对象:"
    P1 = GetCenter(E1)
    E1.Visible = False
    ThisDrawing.Utility.GetEntity E2, P, "第二个对象:"
    P2 = GetCenter(E2)
    E1.Move P1, P2
    E1.Visible = True
    GoTo xNext
xErr:
End Sub

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7303
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:5597
未知 AutoCAD2008 绘制弹簧   [ 2009-05-07  |  本站原创 ]
今天第一次使用Adobe Captivate 3录制Flash视频,哈哈。
显示影音文件影音文件
影音源文件地址:http://www.ntsjyt.net/gx/1.swf

阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:5711
未知 AutoCAD 2010 简体中文版 转帖   [ 2009-04-21  |  转帖 ]
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:11518
按此在新窗口打开图片
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7265
未知 AutoCAD VBA 制作平法梁表   [ 2009-04-10  |  本站原创 ]
按此在新窗口打开图片
阅读全文……
作者:tiancao1001 | 分类:AutoCAD | 评论:0 | 引用:0 | 查看:7044

[16] [17] [18] [19] [20] [21] [22] [23] [24] [25]  ... [26]  
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©